Tenancy
Create a service account
POST /v1/service-accounts · SDK createServiceAccount · CLI deployments service-account create
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
description?stringLength
length <= 2000name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120scopes*array<>Items
1 <= itemsServiceAccountResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
1 <= valueenvironmentId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$createdByPrincipalId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$description?stringLength
length <= 2000id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120scopes*array<>status*stringValue in
"active""archived""disabled"curl -X POST "https://example.com/v1/service-accounts" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "scopes": [ "string" ] }'{ "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 1, "environmentId": "string", "organizationId": "string", "projectId": "string", "createdByPrincipalId": "string", "description": "string", "id": "string", "name": "string", "scopes": [ "string" ], "status": "active"}